---
Name: photon-5-dde71ec57-rt-install
Description: VMware Photon OS 5.0 Real Time (rt) ISO deployment boot environment.
Documentation: |
  This BootEnv installs the VMware Photon 5.0 distribution from the RealTime
  ISO.  Note that only x86_64 architecture is released for RT Photon Linux,
  no aarch64 (ARM) builds are released.

    * ISOS can be found at: <https://packages.vmware.com/photon/>
    * Documentation at: <https://vmware.github.io/photon/docs-v5/administration-guide/photon-rpm-ostree/installing-a-host-against-custom-server-repository/#automated-install-of-a-custom-host-via-kickstart>
    * Kickstart Doc: <https://vmware.github.io/photon/docs-v5/user-guide/working-with-kickstart/>

Meta:
  color: blue
  feature-flags: change-stage-v2
  icon: linux
  title: Digital Rebar Community Content
  type: os
  group-by: Photon
OS:
  Family: "redhat"
  Codename: "photon"
  Name: "photon-5-dde71ec57-rt"
  Version: "5"
  SupportedArchitectures:
    x86_64:
      BootParams: >-
        root=/dev/ram0 ks={{.SecureProvisionerURL}}/{{.Machine.Path}}/compute.ks loglevel=3 insecure_installation=1
        repo={{.Env.InstallUrl}}/RPMS
        {{.Param "kernel-options"}} -- {{.Param "kernel-console"}}
      Initrds:
        - isolinux/initrd.img
      IsoFile: photon-rt-5.0-dde71ec57.x86_64.iso
      IsoUrl: https://packages.vmware.com/photon/5.0/GA/iso/photon-rt-5.0-dde71ec57.x86_64.iso
      Kernel: isolinux/vmlinuz
      Sha256: c4332047bd85e6a8f93596f1470d9681c3086a74186fa79519e6a1dc72471a53
OnlyUnknown: false
OptionalParams:
  - operating-system-disk
  - provisioner-default-password-hash
  - kernel-console
  - kernel-options
  - proxy-servers
  - select-kickseed
  - kickstart-base-packages
  - extra-packages
RequiredParams: []
Templates:
  - ID: kexec.tmpl
    Name: kexec
    Path: "{{.Machine.Path}}/kexec"
  - ID: default-pxelinux.tmpl
    Name: pxelinux
    Path: pxelinux.cfg/{{.Machine.HexAddress}}
  - ID: default-ipxe.tmpl
    Name: ipxe
    Path: "{{.Machine.Address}}.ipxe"
  - ID: default-pxelinux.tmpl
    Name: pxelinux-mac
    Path: pxelinux.cfg/{{.Machine.MacAddr "pxelinux"}}
  - ID: default-ipxe.tmpl
    Name: ipxe-mac
    Path: '{{.Machine.MacAddr "ipxe"}}.ipxe'
  - ID: default-grub.tmpl
    Name: grub
    Path: grub/{{.Machine.Address}}.cfg
  - ID: default-grub.tmpl
    Name: grub-mac
    Path: grub/{{.Machine.MacAddr "grub"}}.cfg
  - ID: default-grub.tmpl
    Name: grub-secure
    Path: '{{.Env.PathFor "tftp" ""}}/EFI/BOOT/grub.cfg'
  - ID: "select-kickseed.tmpl"
    Name: "compute.ks"
    Path: "{{.Machine.Path}}/compute.ks"
  - Name: reset-workflow-runner.sh
    Path: "{{.Machine.Path}}/reset-workflow-runner.sh"
    Contents: |
      {{template "reset-workflow.tmpl" .}}
      {{template "runner.tmpl" .}}
